Need Help for installing Canon dpp 4.x (digital photo proffesional)

Questions about Wine on Linux
Post Reply
Lanzi
Level 2
Level 2
Posts: 10
Joined: Sat Sep 19, 2009 7:49 am

Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Lanzi » Fri Oct 25, 2019 1:31 pm

Hi everybody,
I am still running Canons rawconverter dpp3 for Canons Cameras. it runs very well under wine.
But new cameras are only supported by the new version dpp4.
I really like the software and I am convinced that a lot of photographers would also like to use it under linux, since it is more precise on canons raws than other software.
The problem with dpp4 is that the installation is not running through, so I cannot even say if it will run afterwards. Maybe its only a problem of the installer?

If you could held, it would be really cool.

Code: Select all

# apt policy wine-devel
wine-devel:
  Installiert:           4.0~rc2~sid (Debian SID)
Download dpp4:
https://www.canon.de/support/consumer_p ... :83-912981
https://www.softpedia.com/get/Multimedi ... onal.shtml
If you need help finding the fullversion to test, contact me.the Updateversion should be enough to test the installer.

Hartmut Figge
Level 2
Level 2
Posts: 15
Joined: Sat Oct 19, 2019 6:05 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Hartmut Figge » Sat Oct 26, 2019 3:58 am

I have tried to install dppw4.10.50-installer.exe using wine-4.18 in a fresh profile. It didn't succeed and I can not find anything useful in the log. Maybe others can. Or can suggest how to obtain a more meaningful log.

Code: Select all

hafi@i5-64 ~ $ export WINEPREFIX=~/.wine-cannon
hafi@i5-64 ~ $ winecfg
hafi@i5-64 ~ $ wine ~/ztmp/cannon/dppw4.10.50-installer.exe 2>&1 | tee log.txt
hafi@i5-64 ~ $ cat log.txt
0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x401123, 0x46f540, 0x46f558) stub.
0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x466398, 43) stub
0009:fixme:nls:GetThreadPreferredUILanguages 00000038, 0x32f984, 0x32f994 0x32f988
0009:fixme:nls:get_dummy_preferred_ui_language (0x38 0x32f984 0x32f994 0x32f988) returning a dummy value (current locale)
0009:fixme:shell:InitNetworkAddressControl stub
002a:fixme:ver:GetCurrentPackageId (0x11defefc (nil)): stub
0009:fixme:exec:SHELL_execute flags ignored: 0x00000100
002c:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x401123, 0x452550, 0x452568) stub.
002c:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x44ba48, 43) stub
002c:fixme:nls:GetThreadPreferredUILanguages 00000038, 0x32fa20, 0x32fa30 0x32fa24
002c:fixme:nls:get_dummy_preferred_ui_language (0x38 0x32fa20 0x32fa30 0x32fa24) returning a dummy value (current locale)
002e:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x401123, 0x5036f0, 0x503708) stub.
002e:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x4f0cf8, 43) stub
002e:fixme:nls:GetThreadPreferredUILanguages 00000038, 0x32fa4c, 0x32fa5c 0x32fa50
002e:fixme:nls:get_dummy_preferred_ui_language (0x38 0x32fa4c 0x32fa5c 0x32fa50) returning a dummy value (current locale)
002e:fixme:shell:InitNetworkAddressControl stub
002e:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x10001123, 0x100324b0, 0x100324c8) stub.
002e:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x1002e350, 43) stub
002f:fixme:ver:GetCurrentPackageId (0x95fefc (nil)): stub
002e:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x971123, 0xb12f90, 0xb12fa8) stub.
002e:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0xafee48, 43) stub
002e:fixme:ntdll:EtwEventUnregister (deadbeef) stub.
002e:fixme:ntdll:EtwEventUnregister (0) stub.
002e:fixme:ver:GetCurrentPackageId (0x32fe94 (nil)): stub
002e:fixme:ntdll:EtwEventUnregister (deadbeef) stub.
002e:fixme:ntdll:EtwEventUnregister (0) stub.
002c:fixme:ver:GetCurrentPackageId (0x32fe94 (nil)): stub

User avatar
DarkShadow44
Level 7
Level 7
Posts: 943
Joined: Tue Nov 22, 2016 5:39 pm

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by DarkShadow44 » Sat Oct 26, 2019 6:43 am

I can confirm the issue. Is there a bugreport for this yet?


Hartmut Figge
Level 2
Level 2
Posts: 15
Joined: Sat Oct 19, 2019 6:05 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Hartmut Figge » Sat Oct 26, 2019 8:53 am

DarkShadow44 wrote:
Sat Oct 26, 2019 7:38 am
Found a bugreport here: https://bugs.winehq.org/show_bug.cgi?id=47072
Good work. You are a lot more interested than I am. But then, you are also a lot younger, I suppose. *g*

Lanzi
Level 2
Level 2
Posts: 10
Joined: Sat Sep 19, 2009 7:49 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Lanzi » Sat Oct 26, 2019 9:21 am

thanks so far for your help. It would really be cool if there would be a solution. It's absolutly not urgent, but I would be really happy to know, that some day this program would work :)

Lanzi
Level 2
Level 2
Posts: 10
Joined: Sat Sep 19, 2009 7:49 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Lanzi » Tue Dec 03, 2019 1:00 pm

So, it's getting more urgent to me and I thought to revive this thread.
I bought a new canon on Black Friday and it will only work to convert photos with DPP4.
The mentioned Bugreport has a "stupid hack" attached, so do you know if it was considered in "Wine 4.21"? If so, I will wait paticently, because in Debian sid nothing has changed (4.0~rc2~sid).

jkfloris
Level 6
Level 6
Posts: 704
Joined: Thu Aug 14, 2014 10:10 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by jkfloris » Wed Dec 04, 2019 11:38 am

I will wait paticently, because in Debian sid nothing has changed (4.0~rc2~sid).
WineHQ doesn't build packages for Debian Sid anymore. You can use the packages from "testing" or "bullseye"

Lanzi
Level 2
Level 2
Posts: 10
Joined: Sat Sep 19, 2009 7:49 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Lanzi » Wed Dec 04, 2019 5:36 pm

oh, yes, I have seen, that it has newer versions. I missed that one.
Thanks!

Does anyone know, if DPP4 is running in the new version?

Lanzi
Level 2
Level 2
Posts: 10
Joined: Sat Sep 19, 2009 7:49 am

Re: Need Help for installing Canon dpp 4.x (digital photo proffesional)

Post by Lanzi » Thu Dec 05, 2019 12:22 pm

I tried to start it, but I fails
apt policy wine-devel
wine-devel:
Installiert: 4.21~bullseye

Post Reply